SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

CREATE SCHEMA IF NOT EXISTS `simpleurldb` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;
USE `simpleurldb`;

-- -----------------------------------------------------
-- Table `simpleurldb`.`URLs`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `simpleurldb`.`URLs` ;

CREATE  TABLE IF NOT EXISTS `simpleurldb`.`URLs` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `URL` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`id`) )
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;


-- -----------------------------------------------------
-- Table `simpleurldb`.`results`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `simpleurldb`.`results` ;

CREATE  TABLE IF NOT EXISTS `simpleurldb`.`results` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `urlId` INT NOT NULL ,
  `checktime` TIMESTAMP NOT NULL ,
  `result` INT NOT NULL ,
  `responsetime` FLOAT NOT NULL ,
  `responselength` FLOAT NOT NULL ,
  `responsespeed` FLOAT NOT NULL ,
  PRIMARY KEY (`id`) ,
  INDEX urlFK (`urlId` ASC) ,
  CONSTRAINT `urlFK`
    FOREIGN KEY (`urlId` )
    REFERENCES `simpleurldb`.`URLs` (`id` )
    ON DELETE CASCADE
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
